curl --request GET \
--url https://flowra.dev/api/v1/trigger_instances/active \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/trigger_instances/active"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/trigger_instances/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "550e8400-e29b-41d4-a716-446655440001",
"trigger_name": "slack_message_created",
"connected_account_uuid": "550e8400-e29b-41d4-a716-446655440002",
"eUID": "user_789",
"trigger_data": "{\"webhook_url\":\"https://example.com/hook\"}",
"triggerConfig": {
"channel": "#general",
"keywords": [
"urgent"
]
},
"state": {
"status": "active",
"last_run": "2023-01-01T00:00:00Z"
},
"webhookSecret": "a3f1...9c",
"updatedAt": "2023-01-01T00:00:00Z",
"disabledAt": null,
"connectedAccountId": "550e8400-e29b-41d4-a716-446655440002",
"connectionLabel": "sara@company.com",
"triggerName": "slack_message_created",
"deprecated": {
"createdAt": ""
}
}
],
"total": 100,
"totalTools": 5000,
"page": 1,
"limit": 20,
"totalPages": 5,
"hasNextPage": true,
"hasPreviousPage": false
}List active triggers
List your active triggers (scheduled or webhook) with optional filters and pagination. Use to see which workflows are triggered automatically and when.
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Headers
External user (end user) to act as. Optional — if omitted, Flowra uses the project’s default external user. Send a stable username (e.g. customer_alice) only when you need another end-user context.
Query Parameters
Search keyword for filtering results
"john doe"
Page number (1-based)
x >= 11
Number of items per page
1 <= x <= 10020
Number of items to skip (for offset-based pagination)
x >= 00
Field name to sort by
"createdAt"
Sort order
ASC, DESC "DESC"
Comma-separated list of fields to include in response
"id,name,email"
Connected account IDs to filter triggers by
Auth config IDs to filter triggers by
Trigger instance IDs to filter by (legacy query key)
Trigger tool slugs to filter by (legacy query key)
When true, includes disabled triggers in the response
true
Trigger instance IDs to filter by (preferred camelCase)
Trigger tool slugs to filter by (preferred camelCase)
Deprecated: use connectedAccountIds
Deprecated: use authConfigIds
Response
Operation completed successfully
Success status
true
Response message
"Data retrieved successfully"
Array of items
Show child attributes
Show child attributes
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"projectId": "550e8400-e29b-41d4-a716-446655440001",
"trigger_name": "slack_message_created",
"connected_account_uuid": "550e8400-e29b-41d4-a716-446655440002",
"eUID": "user_789",
"trigger_data": "{\"webhook_url\":\"https://example.com/hook\"}",
"triggerConfig": {
"channel": "#general",
"keywords": ["urgent"]
},
"state": {
"status": "active",
"last_run": "2023-01-01T00:00:00Z"
},
"webhookSecret": "a3f1...9c",
"updatedAt": "2023-01-01T00:00:00Z",
"disabledAt": null,
"connectedAccountId": "550e8400-e29b-41d4-a716-446655440002",
"connectionLabel": "sara@company.com",
"triggerName": "slack_message_created",
"deprecated": { "createdAt": "" }
}
]
Total number of items across all pages
100
Optional secondary total (e.g. nested tools across all matching toolkits)
5000
Current page number (1-based)
1
Number of items per page
20
Total number of pages
5
Whether there is a next page
true
Whether there is a previous page
false
Was this page helpful?